---
version: 2
---

@import 'variables';

.global-nav {
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  overflow: auto;
  visibility: hidden;
  .global-nav-cat.active {
    a {
      color: $gds-indigo-800;
    }
  }
  .global-nav-content {
    margin-top: 60px;
    margin-bottom: 70px;
  }
  a {
    display: flex;
    align-items: center;
    text-decoration: none;
    padding-top: 7px;
    padding-bottom: 7px;
    padding-right: 7px;
    &.has-collapse.active {
      box-shadow: 0 0 0 0 inset;
    }
    &.active {
      background-color: $gds-gray-100;
      font-weight: 600;
      box-shadow: -4px 0 0 0 inset;
      color: $gds-indigo-800;
      &:hover {
        color: $gds-indigo-800;
      }
      &.level-1,
      &.level-2,
      &.level-3,
      &.level-4,
      &.level-5,
      &.level-6 {
        background-color: $gds-gray-200;
      }
    }
  }
  .collapse-toggle {
    cursor: pointer;
    display: flex;
    padding-right: 1rem;
    align-items: center;
    justify-content: center;
    &::after {
      content: '';
      border: solid $gds-gray-700;
      border-width: 0 1px 1px 0;
      display: inline-block;
      transform: rotate(45deg);
      width: 7px;
      height: 7px;
    }
    &.collapsed {
      &::after {
        transform: rotate(-50deg);
      }
    }
    &.active {
      background-color: $gds-gray-200;
      box-shadow: -4px 0 0 0 inset;
      color: $gds-indigo-800;
      &.section-title {
        background-color: $gds-gray-100;
      }
    }
  }

  .global-nav-block {
    font-weight: 600;
    padding-left: 10px;
  }

  .global-nav-link,
  .nav-link {
    text-decoration: none;
    &:hover {
      color: $link-color-nav-hover;
    }
  }

  .global-nav-link {
    line-height: 1rem;
    font-size: 0.875rem;
    width: 100%;

    &:hover {
      border-bottom: 0;
    }
  }

  .nav-link {
    padding: 0;
    display: flex;
    justify-content: space-between;
    a {
      border-bottom: 0;
    }
  }

  .nav-link:hover {
    background-color: $link-color-bg-active;
  }

  .global-nav-block-top {
    font-weight: 600;
    margin-bottom: 3px;
    margin-top: 3px;
    a {
      text-decoration: none;
      text-shadow: 3px 3px 5px $link-color-bg-active;
    }
  }

  .level-0 {
    color: $global-nav-link-level0;
    padding-left: 1.2rem;
    &:visited {
      color: $global-nav-link-level0;
    }
  }

  .level-1 {
    color: $global-nav-link-level1;
    padding-left: 2.333rem;
    &:visited {
      color: $global-nav-link-level1;
    }
  }

  .level-2 {
    color: $global-nav-link-level2;
    padding-left: 3.533rem;
    &:visited {
      color: $global-nav-link-level2;
    }
  }

  .level-3 {
    color: $global-nav-link-level3;
    padding-left: 4.733rem;
    &:visited {
      color: $global-nav-link-level3;
    }
  }

  .level-4 {
    color: $global-nav-link-level4;
    padding-left: 5.933rem;
    &:visited {
      color: $global-nav-link-level4;
    }
  }

  .level-5 {
    color: $global-nav-link-level4;
    padding-left: 7.133rem;
    &:visited {
      color: $global-nav-link-level4;
    }
  }

  .level-6 {
    color: $global-nav-link-level4;
    padding-left: 8.333rem;
    &:visited {
      color: $global-nav-link-level4;
    }
  }

  .global-nav-badges {
    fill: $gds-gray-700;
  }

  .last-updated {
    color: $color-light-gray;
    font-size: 13px;
    padding-bottom: 10px;
    text-align: right;
  }
}

.mobile-nav-toggle {
  z-index: 1;
}

@media (min-width: $bp-xl) {
  .mobile-nav-toggle {
    display: none;
    border-bottom: 0;
  }
}
